-- =========================================================================--
--   TABLE: VENDA                                                           --
-- =========================================================================--
ALTER TABLE VENDA DROP CONSTRAINT CKC_IDORIGEMVENDA_VENDA
/

ALTER TABLE VENDA ADD CONSTRAINT CKC_IDORIGEMVENDA_VENDA CHECK (IDORIGEMVENDA IN
 ('BAL_FOS',
  'BAL_FNC',  
  'BAL_SAT',
  'BAL_AUT',  
  'BAL_BAN',    
  'MES_FOS',  
  'MES_FNC',
  'MES_SAT',
  'MES_MOB',  
  'MES_PKR',    
  'CMD_FOS',    
  'CMD_FNC',
  'CMD_SAT',
  'CMD_MOB',  
  'CMD_PKC',
  'CMD_MIC',    
  'DLV_FOS',
  'DLV_FNC',
  'DLV_SAT',
  'DLV_IFO',
  'DLV_PJA',
  'DLV_SIT',
  'DLV_CAL',
  'DLV_INT',   
  'SPS',     
  'FOS_MAN',    
  'AJU_FOS',    
  'VND_MAN',
  'VND_CAT',    
  'INDEFIN',
  'DLV_SPO',
  'DLV_TAA',
  'DLV_APP',
  'DLV_ADR',
  'DLV_IOS',
  'TGO_APP',
  'TGO_TAA',
  'BGR_APP',
  'BGR_TAA',
  'DLV_ABF',
  'DLV_ONY',
  'DLV_WZP',
  'DLV_YAN',
  'DLV_UBR',
  'DLV_RAP',
  'BAL_MOB',
  'CMD_THR',
  'BAL_APP',
  'BAL_TAA',
  'MES_APP',
  'MES_TAA',
  'DLV_NWB',
  'DLV_NAD',
  'DLV_NOS',
  'DLV_NMO',
  'DLV_NBT',
  'CMD_OGO',
  'DLV_SID'))
/


-- =========================================================================--
--   TABLE: CAIXA                                                           --
-- =========================================================================--

ALTER TABLE CAIXA DROP CONSTRAINT CKC_IDHABCAIXAVENDA
/

ALTER TABLE CAIXA ADD CONSTRAINT CKC_IDHABCAIXAVENDA
   CHECK (IDHABCAIXAVENDA IN ('POS','CMD','RES','FOS','PKC','PKR','TAA','FKB','CTL','CSE','EVB','TOT', 'APC', 'CPE', 'TCO','CDE','SDE','CAT','APP','AAC','OGO'))
/


-- ========================================================================= --
--   TABLE: PARAMODHGO                                                       --
-- ========================================================================= --

CREATE TABLE PARAMODHGO
( 
  CDFILIAL            VARCHAR2(4)     NOT NULL,
  IDTPIDENTIFICACONS  VARCHAR(2)      NOT NULL,   --Exibe qual tipo de identificação de consumidor será usada(NFC - Nenhuma)
  IDVERSAOSUGERIDA    VARCHAR(5),               --Exibe a versão de dataset recomendada para a unidade
  IDATIVO             VARCHAR2(1)     NOT NULL, 
  NRORG               NUMBER          NOT NULL,
  DTINCLUSAO          DATE            NOT NULL, 
  DTULTATU            DATE,
  NRORGINCLUSAO       NUMBER,
  CDOPERINCLUSAO      VARCHAR2(12),
  NRORGULTATU         NUMBER,
  CDOPERULTATU        VARCHAR2(12)
);


-- ========================================================================= --
--   TABLE: CAIXA                                                            --
-- ========================================================================= --

ALTER TABLE CAIXA
  ADD (
      CDVERSAOOGO   VARCHAR(5), --Exibe a versão atual do dataset do caixa Odhen Go
      DTULTCONEXAOOGO DATE,     --Exibe a data da última vez que o caixa estabeleceu conexão com o Banco Oracle
      IDCXATIVOOGO  VARCHAR(1)  --Indica se o caixa está ativo(em funcionamento) ou não
    );


-- ========================================================================= --
--   TABLE: ARQUIVOSOGO                                                      --
-- ========================================================================= --

CREATE TABLE ARQUIVOSOGO
( 
  CDARQUIVOOGO        VARCHAR(5)    NOT NULL, --Código de registro do arquivo de dataset
  DTARQUIVOOGO        DATE          NOT NULL, --Data de upload do arquivo de dataset  
  CDFILIALORIGEM      VARCHAR2(4)   NOT NULL, --Código da filial responsável pelo treinamento que gerou o arquivo
  IDATIVO             VARCHAR2(1)   NOT NULL, 
  NRORG               NUMBER        NOT NULL,
  DTINCLUSAO          DATE          NOT NULL, 
  DTULTATU            DATE,          
  NRORGINCLUSAO       NUMBER,
  CDOPERINCLUSAO      VARCHAR2(12),
  NRORGULTATU         NUMBER,
  CDOPERULTATU        VARCHAR2(12)
);



-- ========================================================================= --
--   TABLE: PARAMGERAL                                                       --
-- ========================================================================= --

ALTER TABLE PARAMGERAL
  ADD CDSENHAOGOSHA512 VARCHAR(200)  --Senha utilizada para fazer as requisições para o Amazon S3