/******************************************************************************************/
/******************************************************************************************/
/*                                                                                        */
/* Trigger: DTULTATU_ESPECTIPOOPER                                                        */
/* Tabela : ESPECTIPOOPER                                                                 */
/*                                                                                        */
/* Criao:                                                                               */
/* 02/06/2009 - Andr Rodrigo                                                             */
/*                                                                                        */
/******************************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_ESPECTIPOOPER
BEFORE INSERT OR UPDATE OR DELETE
ON ESPECTIPOOPER FOR EACH ROW
BEGIN
   IF INSERTING THEN
      :NEW.DTULTATU := SYSDATE;
   END IF;
   IF UPDATING THEN
      :NEW.DTULTATU := SYSDATE;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('ESPECTIPOOPER', '', 'CDEMPRESA='||:OLD.CDEMPRESA||
                                                    ';CDTIPOOPERBEM='||:OLD.CDTIPOOPERBEM||
                                                    ';CDESPECIFICABEM='||:OLD.CDESPECIFICABEM||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE ESPECTIPOOPER MODIFY DTULTATU DEFAULT SYSDATE
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_ESPECTIPOOPER','5.05.119'); END;
/
