const ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
const z = new ZeedhiAPIConstructor(browser, protractor);
const Helper = require('teknisa-helper');
const geral = new Helper.geral();
const loginPage = new Helper.login();
const protractorHelper = require('protractor-helper');
const j = require('../../../json/leitorJson.po.js');
const qualificacaoAssinante = require('../../../page-objects/parametrizacao/contabil/qualificacaodoAssinante.po.js');
const assinanteGridId = '5424261332511253621197';
describe('Tela Qualificação do Assinante', () => {
	beforeAll(() => {
		loginPage.login(j.getValor('login'), j.getValor('senha'));
		geral.abrir(['Parametrização', 'Contábil', 'Qualificação do Assinante']);
		protractorHelper.waitForElementVisibility(element(by.id(`gird-${assinanteGridId}`)));
		z.component.footer.clickRightActionByLabel('Filtrar', true);
	});

	afterAll(() => {
		geral.sair();
	});
	it('Deve acessar a tela Qualificação do Assinante', () => {
		expect(z.component.header.getTitle()).toBe('Qualificação do Assinante');
	});

	it('Deve adicionar uma Qualificação do Assinante', () => {
		geral.clickAdicionar();
		qualificacaoAssinante.adicionar(j.getValor('codigoAssinante'), j.getValor('nomeAssinante'));
		geral.clickSalvar();
		protractorHelper.waitForElementVisibility(element(by.id(`gird-${assinanteGridId}`)));
		geral.filterIt(j.getValor('codigoAssinante'));

		expect(geral.gridHasText(assinanteGridId, j.getValor('nomeAssinante'), 1))
			.toBe(j.getValor('nomeAssinante'));
	});

	it('Deve Editar Qualificação do Assinante', () => {
		geral.clickGrid('NMQUALIFASSINA', j.getValor('nomeAssinante'), '5424261332511253621197');
		geral.clickEditar();
		qualificacaoAssinante.editar(j.getValor('nomeAssinante1'));
		geral.clickSalvar();
		geral.clickVoltar();
		protractorHelper.waitForElementVisibility(element(by.id(`gird-${assinanteGridId}`)));

		expect(geral.gridHasText(assinanteGridId, j.getValor('nomeAssinante1'), 1))
			.toBe(j.getValor('nomeAssinante1'));
	});

	it('Deve excluir Qualificação do Assinante', () => {
		geral.clickGrid('NMQUALIFASSINA', j.getValor('nomeAssinante1'), '5424261332511253621197');
		geral.clickExcluir();
		geral.clickSim();
		protractorHelper.waitForElementVisibility(element(by.id(`gird-${assinanteGridId}`)));

		expect(geral.gridHasText(assinanteGridId, j.getValor('nomeAssinante1'), 1))
			.toBeUndefined();
	});
});
